#include "../Headers/pwm.h"

void PWMInit()
{
	/*rajel
	A PWM frekvencia (adatlap 120.oldal) fpwm=fclkIO/(N*510), ahol N az rajel osztsa.
	Ebbl N=fclkIO/fpwm*1/510, vagyis 10kHz krli frekvencihoz N=8e6/10e3*1/510=1.569 oszts kell.
	A mikrokontrollerben csak 1,8,32,64,128,256,1024 osztsok vannak, N=1-et vlasztva
	fpwm=15.686kHz addik.*/
	
	 //TIMER2 (PWM)
	 //1x eloszts (126.oldal)
	 cbi(TCCR2, CS22);
	 cbi(TCCR2, CS21);
	 sbi(TCCR2, CS20);
	 
	 //Phase correct PWM md (125.oldal)
	 cbi(TCCR2, WGM21);
	 sbi(TCCR2, WGM20);
	 
	 //Ponlt mkds (126.oldal)
	 sbi(TCCR2, COM21);
	 cbi(TCCR2, COM20);
}
